package com.wrj.driver.server.entity;

import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户答题统计表
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WrjQuestionPracticeTotal implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 题目标识
     */
    private Long questionId;

    /**
     * 用户标识
     */
    private Long userId;

    /**
     * 答题次数
     */
    private Long answerNumber;

    /**
     * 答题正确次数
     */
    private Long rightNumber;


}
