package com.wrj.driver.server.mapper;

import com.wrj.driver.server.entity.WrjQuestionPracticeTotal;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 用户答题统计表 Mapper 接口
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-30
 */
public interface WrjQuestionPracticeTotalMapper extends BaseMapper<WrjQuestionPracticeTotal> {

    WrjQuestionPracticeTotal selectByUserIdAndQuestionId(@Param("userId") Long userId, @Param("questionId") Long questionId);

    int updateAnswerNumber(@Param("userId") Long userId, @Param("questionId") Long questionId, @Param("answerNum") int answerNum, @Param("rightNum") int rightNum);
}
